## org.biojava.bio.program.tagvalue
Class Echo

    java.lang.Object
      org.biojava.bio.program.tagvalue.Echo

All Implemented Interfaces:
  TagValueListener

    public class Echo

extends Object
implements TagValueListener

A simple listener that just echoes events back to the console.

Since:
  1.3
Author:
  Matthew Pocock

Constructor Summary
`Echo()`

Method Summary
`void` `endRecord()` The current record has ended.
`void` `endTag()` End the current tag.
`void` `startRecord()` A new record is about to start.
`void` `startTag(Object tag)` Start a new tag.
`void` `value(TagValueContext tvc, Object value)` A value has been seen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Echo

    public Echo()

Method Detail

### startRecord

    public void startRecord()

  Description copied from interface: `TagValueListener`
  A new record is about to start.

  Specified by:
    `startRecord` in interface `TagValueListener`

### endRecord

    public void endRecord()

  Description copied from interface: `TagValueListener`
  The current record has ended.

  Specified by:
    `endRecord` in interface `TagValueListener`

### startTag

    public void startTag(Object tag)

  Description copied from interface: `TagValueListener`
  Start a new tag.

  Specified by:
    `startTag` in interface `TagValueListener`
  Parameters:
    `tag` - the Object representing the new tag

### endTag

    public void endTag()

  Description copied from interface: `TagValueListener`
  End the current tag.

  Specified by:
    `endTag` in interface `TagValueListener`

### value

    public void value(TagValueContext tvc,
                      Object value)

  Description copied from interface: `TagValueListener`
  A value has been seen.

  Specified by:
    `value` in interface `TagValueListener`
  Parameters:
    `tvc` - a TagValueContext that could be used to push a sub-document
    `value` - the value Object observed